function y = gaussSamp(Sigma, numSamps)

% GAUSSSAMP Sample from a Gaussian with a given covariance.
%
% y = gaussSamp(Sigma, numSamps)

% Copyright (c) 2004 Neil D. Lawrence
% File version 1.1, Mon Jul 12 17:11:48 2004
% NDLUTIL toolbox version 0.12



[U, V] = eig(Sigma);
dims = size(Sigma, 1);
y = randn(numSamps, dims);
y = y*diag(sqrt(diag(V)));
y = y*U';